<?
define('PROTECTOR', 1);

$headmod = 'pers';//фикс. места

$textl='Настройки';
@include('files/path.php');
@include($path.'files/db.php');
@include($path.'files/auth.php');
@include($path.'files/func.php');
@include($path.'files/core.php');
@include($path.'files/head.php');
@include($path.'files/zag.php');
$var=$set[shahter]+50;
$var2=$set[kuznec]+50;
$var3=$set[razb]+50;
switch($_GET[mod]){
default:
echo'Профессия - один из навыков игрока. Каждая профессия имеет свою возможность.</div><div class="m_bg">
Для изучения доступно:</div><div class="m_bg">1. <a href=profi.php?mod=shahter>Шахтер</a> <b>'.$set[shahter].'</b> ур.<br/>
Позволяет более эффективно работать на руднике, зарабатывать больше денег </div>
<div class="m_bg">2. <a href=profi.php?mod=kuznec>Кузнец</a> <b>'.$set[kuznec].'</b> ур.<br/>Кузнец умеет очень хорошо затачивать вещи. </div><div class="m_bg">3. <a href=profi.php?mod=razb>Разбойник</a> <b>'.$set[razb].'</b> ур.<br/>Разбойник 
получает больше монет после победы над соперником, и чем больше уровень мастерства, тем больше шансы. </div>';
break;

case 'shahter':
$lvl=$set[shahter];
if($lvl==0){$kol=200;}
if($lvl==1){$kol=400;}
if($lvl==2){$kol=800;}
if($lvl==3){$kol=1200;}
if($lvl==4){$kol=1600;}
if($lvl==5){$kol=2000;}
if($lvl==6){$kol=2500;}
if($lvl==7){$kol=3000;}
if($lvl==8){$kol=3500;}
if($lvl==9){$kol=4200;}
if($lvl==10){$kol=5000;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=shahter&uv='.$lv.'" method="post">';
echo"Ваш уровень Шахтёра $set[shahter]<br></div><div class=\"m_bg\">";
if($set[shahter]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}else{
echo '<input class="button" type="submit" value="Повысить за '.$kol.' монет" /></form>';
echo"</br><a href=profi.php?>Назад</a>";}}
elseif($_GET[uv]!=$var){echo"<font color='red'><img src='pic/no.png' alt =''/> Нельзя так повышать!</br>
<a href=profi.php?mod=shahter>Назад</a></font>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='pic/no.png' alt =''/> Нехватает монет!</br>
<a href=profi.php?mod=shahter>Назад</a></font>";break;}
elseif($set[shahter]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}
else{
$n=$set[shahter]+1;
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `shahter` = '$set[shahter]'+'1' WHERE `usr` = '$log'");
echo"<font color='lime'><img src='pic/yes.png' alt =''/> Уровень успешно повышен до $n !</br>
<a href=profi.php?mod=shahter>Назад</a>";}

break;

case 'kuznec':
$lvl=$set[kuznec];
if($lvl==0){$kol=200;}
if($lvl==1){$kol=400;}
if($lvl==2){$kol=800;}
if($lvl==3){$kol=1200;}
if($lvl==4){$kol=1600;}
if($lvl==5){$kol=2000;}
if($lvl==6){$kol=2500;}
if($lvl==7){$kol=3000;}
if($lvl==8){$kol=3500;}
if($lvl==9){$kol=4200;}
if($lvl==10){$kol=5000;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=kuznec&uv='.$lv.'" method="post">';
echo"Ваш уровень Кузнеца $set[kuznec]<br></div><div class=\"m_bg\">";
if($set[kuznec]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}else{
echo '<input class="button" type="submit" value="Повысить за '.$kol.' монет" /></form>';
echo"</br><a href=profi.php?>Назад</a>";}}
elseif($_GET[uv]!=$var2){echo"<font color='red'><img src='pic/no.png' alt =''/> Нельзя так повышать!</br>
<a href=profi.php?mod=kuznec>Назад</a></font>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='pic/no.png' alt =''/> Нехватает монет!</br>
<a href=profi.php?mod=kuznec>Назад</a></font>";break;}
elseif($set[kuznec]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}
else{
$n=$set[kuznec]+1;
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `kuznec` = '$set[kuznec]'+'1' WHERE `usr` = '$log'");
echo"<font color='lime'><img src='pic/yes.png' alt =''/> Уровень успешно повышен до $n !</br>
<a href=profi.php?mod=kuznec>Назад</a>";}

break;

case 'razb':
$lvl=$set[razb];
if($lvl==0){$kol=300;}
if($lvl==1){$kol=600;}
if($lvl==2){$kol=1200;}
if($lvl==3){$kol=1900;}
if($lvl==4){$kol=2700;}
if($lvl==5){$kol=3600;}
if($lvl==6){$kol=4600;}
if($lvl==7){$kol=5700;}
if($lvl==8){$kol=6900;}
if($lvl==9){$kol=8200;}
if($lvl==10){$kol=9600;}

if(empty($_GET[uv])){
$lv=$lvl+50;
echo '<form action="profi.php?mod=razb&uv='.$lv.'" method="post">';
echo"Ваш уровень Разбойника $set[razb]<br></div><div class=\"m_bg\">";
if($set[razb]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}else{
echo '<input class="button" type="submit" value="Повысить за '.$kol.' монет" /></form>';
echo"</br><a href=profi.php?>Назад</a>";}}
elseif($_GET[uv]!=$var3){echo"<font color='red'><img src='pic/no.png' alt =''/> Нельзя так повышать!</br>
<a href=profi.php?mod=razb>Назад</a></font>";break;}
elseif($udata[money]<$kol){echo"<font color='red'><img src='pic/no.png' alt =''/> Нехватает монет!</br>
<a href=profi.php?mod=razb>Назад</a></font>";break;}
elseif($set[razb]>=11){echo"<font color='lime'><img src='pic/yes.png' alt =''/> У вас максимальный уровень!</br>
<a href=profi.php?>Назад</a></font>";break;}
else{
$n=$set[razb]+1;
mysql_query("UPDATE `users` SET `money` = '$udata[money]'-'$kol' WHERE `usr` = '$log'");
mysql_query("UPDATE `set` SET `razb` = '$set[razb]'+'1', `invmax` = '$set[invmax]'+'1', `arenainv` = '$set[invmax]'+'10' WHERE `usr` = '$log'");
echo"<font color='lime'><img src='pic/yes.png' alt =''/> Уровень успешно повышен до $n !</br>
<a href=profi.php?mod=razb>Назад</a>";}
break;

}
@include($path.'files/down.php');
?>